Modify

#20895 closed defect (fixed)

After update mapwithai plugin raise an exception

Reported by: erickdeoliveiraleal Owned by: taylor.smock
Priority: normal Milestone:
Component: Plugin mapwithai Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. download data, download mapwithai data
  2. try to merge some roads
  3. an exception happens.

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-05-17 21:27:21 +0200 (Mon, 17 May 2021)
Revision:17903
Build-Date:2021-05-18 01:31:02
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (17903 pt_BR) Windows 10 64-Bit
OS Build number: Windows 10 Home Single Language 2009 (19042)
Memory Usage: 1643 MB / 4080 MB (728 MB allocated, but free)
Java version: 11.0.8+10-LTS, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 3840×2160 (scaling 2.50×2.50)
Maximum Screen Size: 3840×2160
Best cursor sizes: 16×16→64×64, 32×32→64×64
System property file.encoding: Cp1252
System property sun.jnu.encoding: Cp1252
Locale info: pt_BR
Numbers with default locale: 1234567890 -> 1234567890
Dataset consistency test: No problems found

Plugins:
+ FastDraw (35640)
+ PicLayer (2a9aa7a)
+ RelationDissolve (0.2.0)
+ apache-commons (35524)
+ apache-http (35589)
+ ejml (35458)
+ geotools (35458)
+ jaxb (35543)
+ jna (35662)
+ jts (35458)
+ mapwithai (1.7.1.5)
+ opendata (35640)
+ reverter (35732)
+ turnrestrictions (35640)
+ undelete (35640)
+ utilsplugin2 (35691)

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/iD&zip=1
- https://github.com/hotosm/HDM-JOSM-style/archive/master.zip
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/MapWithAI&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1

Last errors/warnings:
- 01381.157 E: Exception raised in EDT: java.lang.reflect.InvocationTargetException. Causa: java.lang.NoSuchMethodError. Causa: java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;
- 01402.267 W: Could not move autosaved file MapWithAI_20210518_104249585.osm to deleted_layers folder
- 01402.268 W: Não é possível excluir arquivo de backup <josm.pref>\autosave\MapWithAI_20210518_104249585.osm
- 01422.830 E: Exception raised in EDT: java.lang.reflect.InvocationTargetException. Causa: java.lang.NoSuchMethodError. Causa: java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;
- 01422.835 E: java.nio.file.AccessDeniedException: <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_MapWithAI_zip_1.tmp -> <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_MapWithAI_zip_1
- 01422.905 E: Exception raised in EDT: java.lang.reflect.InvocationTargetException. Causa: java.lang.NoSuchMethodError. Causa: java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;
- 01422.911 E: java.nio.file.AccessDeniedException: <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_MapWithAI_zip_1.tmp -> <josm.cache>\mirror_https___josm.openstreetmap.de_josmfile_page_Styles_MapWithAI_zip_1
- 01423.233 E: Exception raised in EDT: java.lang.reflect.InvocationTargetException. Causa: java.lang.NoSuchMethodError. Causa: java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;
- 01423.503 E: Exception raised in EDT: java.lang.reflect.InvocationTargetException. Causa: java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;
- 01509.986 E: Handled by bug report queue: java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (22) of main
java.lang.NoSuchMethodError: org.openstreetmap.josm.data.osm.WaySegment.getFirstNode()Lorg/openstreetmap/josm/data/osm/Node;
	at org.openstreetmap.josm.plugins.mapwithai.commands.cleanup.MissingConnectionTags.createAddNodeCommand(MissingConnectionTags.java:254)
	at org.openstreetmap.josm.plugins.mapwithai.commands.cleanup.MissingConnectionTags.lambda$findUnconnectedWays$21(MissingConnectionTags.java:293)
	at org.openstreetmap.josm.data.validation.TestError.getFix(TestError.java:424)
	at org.openstreetmap.josm.plugins.mapwithai.commands.cleanup.MissingConnectionTags.fixErrors(MissingConnectionTags.java:115)
	at org.openstreetmap.josm.plugins.mapwithai.commands.cleanup.MissingConnectionTags.getRealCommand(MissingConnectionTags.java:99)
	at org.openstreetmap.josm.plugins.mapwithai.commands.AbstractConflationCommand.getCommand(AbstractConflationCommand.java:82)
	at org.openstreetmap.josm.plugins.mapwithai.commands.CreateConnectionsCommand.createConnections(CreateConnectionsCommand.java:108)
	at org.openstreetmap.josm.plugins.mapwithai.commands.CreateConnectionsCommand.executeCommand(CreateConnectionsCommand.java:54)
	at org.openstreetmap.josm.command.SequenceCommand.executeCommand(SequenceCommand.java:112)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:224)
	at org.openstreetmap.josm.plugins.mapwithai.commands.MapWithAIAddCommand.run(MapWithAIAddCommand.java:104)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:224)
	at org.openstreetmap.josm.plugins.mapwithai.commands.MapWithAIAddCommand.executeCommand(MapWithAIAddCommand.java:78)
	at org.openstreetmap.josm.data.UndoRedoHandler.addNoRedraw(UndoRedoHandler.java:300)
	at org.openstreetmap.josm.data.UndoRedoHandler.add(UndoRedoHandler.java:354)
	at org.openstreetmap.josm.plugins.mapwithai.backend.MapWithAIMoveAction.lambda$actionPerformed$1(MapWithAIMoveAction.java:84)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:224)
	at org.openstreetmap.josm.plugins.mapwithai.backend.MapWithAIMoveAction.actionPerformed(MapWithAIMoveAction.java:84)
	at java.desktop/javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1810)
	at java.desktop/javax.swing.JComponent.processKeyBinding(JComponent.java:2900)
	at java.desktop/javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:311)
	at java.desktop/javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:266)
	at java.desktop/javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2993)
	at java.desktop/javax.swing.JComponent.processKeyBindings(JComponent.java:2985)
	at java.desktop/javax.swing.JComponent.processKeyEvent(JComponent.java:2862)
	at java.desktop/java.awt.Component.processEvent(Component.java:6412)
	at java.desktop/java.awt.Container.processEvent(Container.java:2263)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:5011)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1950)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:870)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1139)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:1009)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:835)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4892)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:95)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

Attachments (0)

Change History (4)

comment:1 Changed 12 months ago by skyper

Component: CorePlugin mapwithai
Owner: changed from team to taylor.smock

comment:2 Changed 12 months ago by taylor.smock

@erickdeoliveiraleal: I'm working on an update to fix that problem -- I had to wait until the josm-latest.jar got updated so that r17896 was in a version I could build against.

I'm hoping to get an update out by 18:00 UTC (12:00 MDT). I've got it building, but tests are failing.

In any case, while I did know about this issue (and was hoping to have already fixed it), thank you for reporting this -- I often don't know about crashes, as some people don't bother reporting them.

comment:3 Changed 12 months ago by taylor.smock

OK. Release has happened. You should be able to get an updated plugin in ~10 minutes or so.

comment:4 Changed 12 months ago by taylor.smock

Resolution: fixed
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain taylor.smock.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.